<div class="flex flex-col h-full justify-between">
  <!-- content -->

  <main class="max-w-3xl mx-auto px-4 mb-auto container">
    <!-- link to workflow -->

    <!-- link to tutorial -->

    <!-- about -->
    <div class="particles-container">
      <ng-particles
        [id]="id"
        [options]="particlesOptions"
        [particlesInit]="particlesInit"
        (particlesLoaded)="particlesLoaded($event)"
      ></ng-particles>
    </div>

    <mat-card class="metadata-card">
      <img src="assets/img/MPA.webp" alt="Logo" class="logo" />
      <mat-card-header>
        <mat-card-title class="text-center headline">
          Welcome to MetaProteomeAnalyzer Cloud
        </mat-card-title>
      </mat-card-header>
      <mat-card-content class="metadata-content">
        <p class="paragraph">
          MPA Cloud is a scientific software for analyzing and visualizing
          metaproteomics (and proteomics) data. It provides an MS/MS spectrum
          data processing application for protein identification as a webtool.
          The MPA Cloud is the latest iteration of the MetaProteomeAnalyzer, now
          available as a web-based tool. Leveraging the deNBI cloud
          infrastructure, the MPA Cloud enables seamless access and usability
          through a web interface.
        </p>
        <p>MPA Cloud Version: 1.0.1</p>
        <p class="team-info">
          Meet our dedicated <a routerLink="/team" class="team-link">Team</a>.
        </p>
        <p class="team-info">
          See our
          <a routerLink="/publications" class="team-link">Publications</a>.
        </p>
        <p class="team-info">
          Need help? 
          <a 
            href="mailto:support@mdoa-tools.bi.denbi.de"
            class="team-link"
            style="margin-left: 0.5rem;"
          >
            <mat-icon style="vertical-align: middle; margin-right: 0.25rem;">
              email
            </mat-icon>
            Contact Support
          </a>
        </p>
      </mat-card-content>
    </mat-card>
    <br />

    <div class="button-wrapper">
      <!-- <ng-container *ngIf="auth.loggedIn(); else loginButton"> -->

      <!-- </ng-container>
      <ng-template #loginButton>
      </ng-template> -->
      <button mat-raised-button color="accent" routerLink="/login">
        Login
      </button>

      <button mat-raised-button color="primary" routerLink="/mpa">
        Start Workflow
      </button>
      <button mat-raised-button color="accent" routerLink="/overview">
        Overview
      </button>
    </div>

    <!-- link to repo and publication -->
    <mat-grid-list
      cols="2"
      rowHeight="400px"
      rowWidth="400px"
      gutterSize="10px"
      padding="1em"
    >
      <mat-grid-tile class="grid-tile">
        <mat-card
          (click)="
            goToLink(
              'https://gitlab.com/kay.schallert/mpa-website/-/tree/mpa_development?ref_type=heads'
            )
          "
          class="hover-card"
        >
          <mat-card-header>
            <mat-icon>code</mat-icon>
            <mat-card-title>Source Code</mat-card-title>
          </mat-card-header>
          <mat-card-content>
            <p>Our GitHub repo can be found here.</p>
            <img
              src="assets/GitLab_logo.svg"
              alt="GitLab Logo"
              class="affiliation-image"
            />
          </mat-card-content>
        </mat-card>
      </mat-grid-tile>

      <!-- Card: de.NBI Tool -->
      <mat-grid-tile>
        <mat-card
          class="hover-card"
          (click)="
            goToLink(
              'https://www.denbi.de/services-according-to-service-centers/323-metaproteomeanalyzer-identification-of-taxonomic-and-functional-relationships-between-identified-proteins'
            )
          "
          class="hover-card"
        >
          <mat-card-header>
            <mat-icon>business</mat-icon>
            <mat-card-title>Affiliations</mat-card-title>
          </mat-card-header>
          <mat-card-content>
            <p>This is a de.NBI Tool.</p>
            <img
              src="assets/Denbi.svg"
              alt="Denbi Logo"
              class="affiliation-image"
            />
          </mat-card-content>
        </mat-card>
      </mat-grid-tile>
      <!-- Card: ELIXIR Germany -->
      <!-- <mat-grid-tile>
        <mat-card
          class="hover-card"
          (click)="goToLink('https://bio.tools/metaproteomeanalyzer')"
        >
          <mat-card-header>
            <mat-icon>business</mat-icon>
            <mat-card-title>Affiliations</mat-card-title>
          </mat-card-header>
          <mat-card-content>
            <p>This is an ELIXIR Germany Tool.</p>
            <img
              src="assets/ELIXIR.png"
              alt="ELIXIR Germany Logo"
              class="affiliation-image"
            />
          </mat-card-content>
        </mat-card>
      </mat-grid-tile> -->

      <mat-grid-tile class="grid-tile">
        <mat-card
          (click)="
            goToLink(
              'https://de.surveymonkey.com/r/denbi-service?sc=bigi&tool=mpa'
            )
          "
          class="hover-card"
        >
          <mat-card-header>
            <mat-icon>feedback</mat-icon>
            <mat-card-title>Survey</mat-card-title>
          </mat-card-header>
          <mat-card-content>
            <p>Your feedback matters!</p>
            <img
              src="assets/survey.png"
              alt="deNBI Survey for MPA Cloud"
              class="affiliation-image"
            />
          </mat-card-content>
        </mat-card>
      </mat-grid-tile>
    </mat-grid-list>
  </main>
</div>
